## org.eclipse.amp.amf.parameters
Class AParInterpreter

    java.lang.Object
      org.eclipse.amp.amf.parameters.AParInterpreter

All Implemented Interfaces:
  ICached

    public class AParInterpreter

extends java.lang.Object
implements ICached

Author:
  mparker

Constructor Summary
`AParInterpreter()`

Method Summary
`void` `assignValues(java.lang.Object[] assignees, org.eclipse.core.runtime.MultiStatus status)`
`void` `assignValues(java.lang.Object assignee, org.eclipse.core.runtime.MultiStatus status)`
`static java.lang.String` `convertURI(org.eclipse.emf.ecore.EObject projectObject, java.lang.String uri)`
`static java.lang.String` `convertURI(Import importModel)`
`static java.lang.String` `convertURI(Incorporates incorporateModel)`
`java.lang.String[]` `getArgs()`
`java.lang.String` `getLocalPath()`
`Model` `getModel()`
`java.lang.String` `getModelClass()`
`java.util.List<Parameter>` `getParameters()`
`org.eclipse.emf.ecore.resource.Resource` `getResource()`
`SContext` `getRootContext()`
`java.lang.String` `getRunName()`
`void` `load(org.eclipse.emf.ecore.resource.Resource emfResource)`
`void` `setCache(IInterpreterProvider cache)`
`static java.lang.String` `value(org.eclipse.emf.ecore.EObject value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParInterpreter

    public AParInterpreter()

Method Detail

### load

    public void load(org.eclipse.emf.ecore.resource.Resource emfResource)

  Specified by:
    `load` in interface `ICached`

### getRootContext

    public SContext getRootContext()

  Returns:

### getRunName

    public java.lang.String getRunName()

  Returns:

### getModelClass

    public java.lang.String getModelClass()

### getArgs

    public java.lang.String[] getArgs()

### value

    public static java.lang.String value(org.eclipse.emf.ecore.EObject value)

### assignValues

    public void assignValues(java.lang.Object assignee,
                             org.eclipse.core.runtime.MultiStatus status)

### assignValues

    public void assignValues(java.lang.Object[] assignees,
                             org.eclipse.core.runtime.MultiStatus status)

### getModel

    public Model getModel()

### getResource

    public org.eclipse.emf.ecore.resource.Resource getResource()

### setCache

    public void setCache(IInterpreterProvider cache)

  Specified by:
    `setCache` in interface `ICached`

### getParameters

    public java.util.List<Parameter> getParameters()

### getLocalPath

    public java.lang.String getLocalPath()

### convertURI

    public static java.lang.String convertURI(Incorporates incorporateModel)

### convertURI

    public static java.lang.String convertURI(Import importModel)

### convertURI

    public static java.lang.String convertURI(org.eclipse.emf.ecore.EObject projectObject,
                                              java.lang.String uri)